Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I typically install puppet via kickstart. Apparently, puppet now requires a package (libselinux-ruby) that is included in the Red Hat's Optional Channel.

I was under the impression I could only use the Optional Channel by assigning the appropriate Software Channel entitlement after the server was provisioned with RHN.

Does this mean that we cannot use kickstart to install packages that are in the Optional Channel? If that is not the case, how would we configure our kickstart accordingly?

share|improve this question

2 Answers 2

up vote 4 down vote accepted

What I've done is:

  1. In RHN I set up an "activation key" (look for it in "Systems") that is subscribed to the Optional channel. It's possible to do this with one key for all architectures.
  2. made a kickstart that includes all these bits:

    repo --name=epel --baseurl=http://LOCALEPELMIRROR/.../epel/6/x86_64/
    %package
    ...
    epel-release
    
    %post
    ...
    /usr/sbin/rhnreg_ks --activationkey=$ACTIVATIONKEY
    rpm --import /usr/share/rhn/RPM-GPG-KEY
    rpm --import /etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL
    rpm --import /etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-6
    rpm --import /etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-release-2
    ...
    yum install puppet
    
share|improve this answer
    
I was under the impression that installation key and activation keys were different. Is that not the case? –  Belmin Fernandez Sep 29 '11 at 17:40
    
@BeamingMel-Bin: Some of my internal docs might be using outdated terminology. You're right, it's "activation" keys I'm talking about, not "installation" keys. –  freiheit Sep 29 '11 at 18:31

I would download necessary package(s) on the installation server, together with the public key it was signed with. Then I'd use %post in kickstart to import the key, and download and install the package(s). Then you can use yum to install puppet, because only now it will have its prerequisites installed.

You could also add needed repositories to /etc/yum.repos.d, to be able to pull updates later.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.